#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-refactor-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-refactor-plugin-2.0.0.0-49L1Kx81o1PDO0DmKp3ADS
key:                  hls-refactor-plugin-2.0.0.0-49L1Kx81o1PDO0DmKp3ADS
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  a063b472aaf4a9a2c06cfaf1a686dabf
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-2.0.0.0-49L1Kx81o1PDO0DmKp3ADS
depends:
    aeson-2.1.2.1-GOr0sGsn8HVJzt9KhewtB0 base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    extra-1.7.16-JJdQ9eFtkoVDmjYz0qVuVR ghc-9.4.8 ghc-boot-9.4.8
    ghc-exactprint-1.6.1-GeVl4rdn3Eu9as5JAYbA71
    ghcide-2.0.0.0-JM9QCNP1INWKrAoPjE8FRX
    hls-graph-2.0.0.0-Dwoowae560dEfZKoVLM8Ap
    hls-plugin-api-2.0.0.0-9jtDVNQxl6AAbI62A2CMtD
    lens-5.2.3-J1GK3I4tdtMEzlekK9vBY2
    lsp-1.6.0.0-LaIZzQ4nrlw5ebiwaBE0Bs mtl-2.2.2
    regex-tdfa-1.3.2.4-DyGMbh1NpFc9rSkmhAEdJe
    retrie-1.2.3-DbGA5ppzCNf4Ci8QU2O46j
    syb-0.7.2.4-HJAbU0lurQkHN7nU4EHwhb text-2.0.2
    text-rope-0.3-I35YyEChVr0GK96OHDAWQF time-1.12.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-Jl6TkouWI2i1D1jczNV0uv

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

